<?php

declare (strict_types=1);

namespace app\command;

use think\console\Command;
use think\console\Input;
use think\console\input\Argument;
use think\console\input\Option;
use think\console\Output;
use think\facade\Db;
use think\facade\Log;

/**
 * 人才认定部门审核检查
 */
class DeptVerifyChecker extends Command {

    protected function configure() {
        // 指令配置
        $this->setName('RegisterMessenger')
                ->setDescription('Auto send msg');
    }

    protected function execute(Input $input, Output $output) {
        \app\common\api\VerifyApi::getDeptList($params);
        $where = [];
        $where[] = ["checkState", "=", \app\common\api\TalentState::FST_VERIFY_PASS];
        $where[] = ["pass_dept_check", "=", 0];
        Db::table()->where($where)->select();
    }

}
